Eclipse Platform Release 3.7

## org.eclipse.update.core.model
Class FeatureReferenceModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.FeatureReferenceModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  FeatureReference

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class FeatureReferenceModel

extends ModelObject

Feature reference model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `FeatureReference`

Constructor Summary
`FeatureReferenceModel()` Deprecated. Creates an uninitialized feature reference model object.
`FeatureReferenceModel(FeatureReferenceModel ref)` Deprecated. Constructor FeatureReferenceModel.

Method Summary
`boolean` `equals(Object object)` Deprecated. Compares 2 feature reference models for equality
`String` `getFeatureIdentifier()` Deprecated. Returns the feature identifier as a string
`String` `getFeatureVersion()` Deprecated. Returns the feature version as a string
`String` `getLabel()` Deprecated. Retrieve the displayable label for the feature reference.
`String` `getLabelNonLocalized()` Deprecated. Retrieve the non-localized displayable label for the feature reference.
`String` `getNL()` Deprecated. Get optional locale specification as a comma-separated string.
`String` `getOS()` Deprecated. Get optional operating system specification as a comma-separated string.
`String` `getOSArch()` Deprecated. Get optional system architecture specification as a comma-separated string.
`String` `getPatch()` Deprecated. Returns the patch mode.
`protected String` `getPropertyName()` Deprecated. Method getPropertyName.
`SiteModel` `getSiteModel()` Deprecated. Returns the site model for the reference.
`String` `getType()` Deprecated. Returns the referenced feature type.
`URL` `getURL()` Deprecated. Returns the resolved URL for the feature reference.
`String` `getURLString()` Deprecated. Returns the unresolved URL string for the reference.
`String` `getWS()` Deprecated. Get optional windowing system specification as a comma-separated string.
`void` `resolve(URL base, URL bundleURL)` Deprecated. Resolve the model object.
`void` `setArch(String arch)` Deprecated. Sets the system architecture specification.
`void` `setFeatureIdentifier(String featureId)` Deprecated. Sets the feature identifier.
`void` `setFeatureVersion(String featureVersion)` Deprecated. Sets the feature version.
`void` `setLabel(String label)` Deprecated. Sets the label.
`void` `setNL(String nl)` Deprecated. Sets the locale specification.
`void` `setOS(String os)` Deprecated. Sets the operating system specification.
`void` `setPatch(String patch)` Deprecated. Sets the patch mode.
`void` `setSiteModel(SiteModel site)` Deprecated. Sets the site for the referenced.
`void` `setType(String type)` Deprecated. Sets the referenced feature type.
`void` `setURLString(String urlString)` Deprecated. Sets the unresolved URL for the feature reference.
`void` `setWS(String ws)` Deprecated. Sets the windowing system specification.
`String` `toString()` Deprecated.

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureReferenceModel

    public FeatureReferenceModel()

  Deprecated.
  Creates an uninitialized feature reference model object.

  Since:
    2.0

### FeatureReferenceModel

    public FeatureReferenceModel(FeatureReferenceModel ref)

  Deprecated.
  Constructor FeatureReferenceModel.

  Parameters:
    `ref` -

Method Detail

### equals

    public boolean equals(Object object)

  Deprecated.
  Compares 2 feature reference models for equality

  Overrides:
    `equals` in class `Object`
  Parameters:
    `object` - feature reference model to compare with
  Returns:
    `true` if the two models are equal, `false` otherwise
  Since:
    2.0

### getType

    public String getType()

  Deprecated.
  Returns the referenced feature type.

  Returns:
    feature type, or `null` representing the default feature type for the site
  Since:
    2.0

### getSiteModel

    public SiteModel getSiteModel()

  Deprecated.
  Returns the site model for the reference.

  Returns:
    site model
  Since:
    2.0

### getURLString

    public String getURLString()

  Deprecated.
  Returns the unresolved URL string for the reference.

  Returns:
    url string
  Since:
    2.0

### getURL

    public URL getURL()

  Deprecated.
  Returns the resolved URL for the feature reference.

  Returns:
    url string
  Since:
    2.0

### getFeatureIdentifier

    public String getFeatureIdentifier()

  Deprecated.
  Returns the feature identifier as a string

  Returns:
    feature identifier
  Since:
    2.0
  See Also:
    `IFeatureReference.getVersionedIdentifier()`

### getFeatureVersion

    public String getFeatureVersion()

  Deprecated.
  Returns the feature version as a string

  Returns:
    feature version
  Since:
    2.0
  See Also:
    `IFeatureReference.getVersionedIdentifier()`

### setType

    public void setType(String type)

  Deprecated.
  Sets the referenced feature type. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `type` - referenced feature type
  Since:
    2.0

### setSiteModel

    public void setSiteModel(SiteModel site)

  Deprecated.
  Sets the site for the referenced. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `site` - site for the reference
  Since:
    2.0

### setURLString

    public void setURLString(String urlString)

  Deprecated.
  Sets the unresolved URL for the feature reference. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `urlString` - unresolved URL string
  Since:
    2.0

### setFeatureIdentifier

    public void setFeatureIdentifier(String featureId)

  Deprecated.
  Sets the feature identifier. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `featureId` - feature identifier
  Since:
    2.0

### setFeatureVersion

    public void setFeatureVersion(String featureVersion)

  Deprecated.
  Sets the feature version. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `featureVersion` - feature version
  Since:
    2.0

### resolve

    public void resolve(URL base,
                        URL bundleURL)
                 throws MalformedURLException

  Deprecated.
  Resolve the model object. Any URL strings in the model are resolved relative to the base URL argument. Any translatable strings in the model that are specified as translation keys are localized using the supplied resource bundle.

  Overrides:
    `resolve` in class `ModelObject`
  Parameters:
    `base` - URL
    `bundleURL` - resource bundle URL
  Throws:
    `MalformedURLException`
  Since:
    2.0

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### getPropertyName

    protected String getPropertyName()

  Deprecated.
  Description copied from class: `ModelObject`
  Method getPropertyName.

  Overrides:
    `getPropertyName` in class `ModelObject`
  Returns:
    String
  See Also:
    `ModelObject.getPropertyName()`

### getLabel

    public String getLabel()

  Deprecated.
  Retrieve the displayable label for the feature reference. If the model object has been resolved, the label is localized.

  Returns:
    displayable label, or `null`.
  Since:
    2.0

### getLabelNonLocalized

    public String getLabelNonLocalized()

  Deprecated.
  Retrieve the non-localized displayable label for the feature reference.

  Returns:
    non-localized displayable label, or `null`.
  Since:
    2.0

### setLabel

    public void setLabel(String label)

  Deprecated.
  Sets the label.

  Parameters:
    `label` - The label to set

### getOS

    public String getOS()

  Deprecated.
  Get optional operating system specification as a comma-separated string.

  Returns:
    the operating system specification string, or `null`.
  Since:
    2.1

### getWS

    public String getWS()

  Deprecated.
  Get optional windowing system specification as a comma-separated string.

  Returns:
    the windowing system specification string, or `null`.
  Since:
    2.1

### getOSArch

    public String getOSArch()

  Deprecated.
  Get optional system architecture specification as a comma-separated string.

  Returns:
    the system architecture specification string, or `null`.
  Since:
    2.1

### getNL

    public String getNL()

  Deprecated.
  Get optional locale specification as a comma-separated string.

  Returns:
    the locale specification string, or `null`.
  Since:
    2.1

### setOS

    public void setOS(String os)

  Deprecated.
  Sets the operating system specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `os` - operating system specification as a comma-separated list
  Since:
    2.1

### setWS

    public void setWS(String ws)

  Deprecated.
  Sets the windowing system specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `ws` - windowing system specification as a comma-separated list
  Since:
    2.1

### setNL

    public void setNL(String nl)

  Deprecated.
  Sets the locale specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `nl` - locale specification as a comma-separated list
  Since:
    2.1

### setArch

    public void setArch(String arch)

  Deprecated.
  Sets the system architecture specification. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `arch` - system architecture specification as a comma-separated list
  Since:
    2.1

### getPatch

    public String getPatch()

  Deprecated.
  Returns the patch mode.

### setPatch

    public void setPatch(String patch)

  Deprecated.
  Sets the patch mode.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.